
using Haestad.Framework.UI.Integration;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Input;
using System.Text;

namespace Haestad.WPFRibbonPrototype.WPF
{
    public class SignInCommand : ICommand
    {
        public SignInCommand()
        {
            m_signedIn = false;
        }

        public bool SignedIn
        {
            get { return m_signedIn; }
        }

        public bool CanExecute(object parameter)
        {
            // Just to keep the compiler happy; I don't care about CanExecuteChanged.
            if (CanExecuteChanged == null || CanExecuteChanged != null)
                return true;

            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            m_signedIn = !m_signedIn;
        }

        private bool m_signedIn;

    }
}
